---
# Choices of components ────────────────────────────────────────────────────────────

launcher: rofi

wallpaper_engine: swww

image_viewer: qimgv

clipboard: cliphist

screenshot: grim

notification: dunst

# TODO: mopidy backends orther than local files
music_daemon: mpd

# 'openssh' --> openssh-client-default
# 'dropbear' --> dropbear-dbclient
ssh_client: openssh

# NOTE: only OpenSSH can be used for SSH commit signing
gitcommit_sign_method: openpgp

# List of terminal emulators, in precedence order
terminal_emulators:
  - foot
  - alacritty

buildkit:
  # Set to false to use OCI worker. All other options will be ignored
  containerd_worker: true
  # "k8s.io" for Kubernetes, "default" for normal containerd, "buildkit" for buildkit
  containerd_namespace: default
  # Use "native" on ZFS
  containerd_snapshotter: overlayfs

# RedHat recommends 0077 for a secure server
# 0027 is a good in-between for desktop usage (0022 is the default)
umask: '0027'

# Leave jq behind! `jaq`, `gojq` and `yq` are here for the rescue
jq_binary: /usr/bin/gojq

# XDG directory spec (need to be absolute paths here)
xdg_dir:
  bin_home: '{{ ansible_user_dir }}/.local/bin'
  cache_home: '{{ ansible_user_dir }}/.cache'
  config_home: '{{ ansible_user_dir }}/.config'
  data_home: '{{ ansible_user_dir }}/.local/share'
  state_home: '{{ ansible_user_dir }}/.local/state'

  # This is not in XDG spec, but it's used here as a user-scoped /usr/libexec
  libexec_dir: '{{ ansible_user_dir }}/.local/libexec'

# Font settings ────────────────────────────────────────────────────────────

cjk_term_font: Sarasa Term J

cjk_monospace_font: Sarasa Mono J

cjk_sans_font: Sarasa Fixed J

cjk_serif_font: Sarasa Fixed Slab J

term_font: IosevkaTerm Nerd Font

monospace_font: Iosevka

sans_font: Iosevka Aile

serif_font: Iosevka Etoile

font_size: 13.5

# Theme settings ────────────────────────────────────────────────────────────

theme: nord

gtk_theme: Nordic

icon_theme: Papirus-Dark

cursor_theme: Bibata-Modern-Ice

cursor_size: 24

# Transparency of Waybar, launchers (wofi, rofi, fuzzle) and terminals
ui_opacity: 0.96

# User information ──────────────────────────────────────────────────────────

user_fullname: Hoang Nguyen

user_email: folliekazetani@protonmail.com

user_agent: Mozilla/5.0 (Windows NT 10.0; rv:109.0) Gecko/20100101 Firefox/115.0

user_gpg_signature: B0567C20730E9B11
